
#include "jv.h"


/* Ddescobre ONDE duas RETAS definidas pelos segmentos se cruzam
   Se são paralelas retorna 0 e lixo em x e y
*/
int intersecao( jvLine seg_z, jvLine seg_w, float *x, float *y ) ;


/* descobre SE dois SEGMENTOS estão se cruzando */
int cruzando( jvLine seg_z, jvLine seg_w ) ;

float modulo( jvLine seg_z );
float razao( jvLine seg_z, jvLine seg_w );

float distancia_ponto     ( jvLine seg, float x, float y ) ;
float distancia_quad_ponto( jvLine seg, float x, float y ) ;

